<div class="container" *ngIf="showDetails">
  <div class="toolbar"><app-toolbar></app-toolbar></div>
  <img class="banner" [src]="media.bannerImage" alt="" />
  <div class="description">
    <img class="cover-image" [src]="media.coverImage.large" alt="" />
    <div class="content">
      <h1>{{ media.title.romaji }}</h1>
      <h4
        *ngIf="
          media.title.english &&
          media.title.romaji.toLowerCase() !== media.title.english.toLowerCase()
        "
        [ngStyle]="{ 'font-style': 'italic' }"
      >
        ({{ media.title.english }})
      </h4>
      <p [innerHTML]="media.description"></p>
    </div>
    <div class="tabs">
      <span>Overview</span>
    </div>
  </div>
  <div class="full-data">
    <div class="left-side-container">
      <ng-container *ngFor="let rank of media.rankings; let i = index">
        <div
          *ngIf="rank.allTime"
          class="rankings"
          [ngStyle]="{
            'margin-bottom': i + 1 !== media.rankings.length ? '0.5rem' : ''
          }"
        >
          <mat-icon>{{
            rank.context.includes("rated") ? "start" : "favorite"
          }}</mat-icon>
          <span>#{{ rank.rank }} {{ toTitleCase(rank.context) }}</span>
        </div>
      </ng-container>
      <div class="stats">
        <div class="stat" *ngFor="let key of getStatsKeys(); let i = index">
          <ng-container *ngIf="nullChecker(stats[key])">
            <span class="stat-label">{{ camelToTitleCase(key) }}</span>
            <span class="stat-value" *ngIf="isSingleString(key)">{{
              underscoretoTitleCase(stats[key])
            }}</span>
            <ng-container *ngIf="!isSingleString(key)">
              <span class="stat-value" *ngFor="let string of stats[key]">{{
                string
              }}</span>
            </ng-container>
            <div
              [ngStyle]="{
                'margin-bottom': i + 1 !== getStatsKeys().length ? '1rem' : 0
              }"
            ></div>
          </ng-container>
        </div>
      </div>
      <div class="tags">
        <h4 class="side-label">Tags</h4>
        <ng-container *ngFor="let tag of displayedTags; let i = index">
          <div
            class="tag"
            [ngStyle]="{
              color: tag.color,
              'margin-bottom': i + 1 !== displayedTags.length ? '0.5rem' : ''
            }"
          >
            <span>{{ tag.name }}</span>
            <span>{{ tag.rank }}</span>
          </div>
          <span
            *ngIf="i + 1 === displayedTags.length"
            (click)="toggleSpoilerTagsDisplay()"
            id="show-spoiler-text"
            >{{ showSpoilerTags ? "Hide" : "Show" }}
            {{ spoilerTags.length }} spoiler tags
          </span>
        </ng-container>
      </div>
      <h4 class="side-label">External & Streaming Links</h4>
      <ng-container *ngFor="let link of media.externalLinks; let i = index">
        <div
          class="external-links"
          [ngStyle]="{
            'margin-bottom':
              i + 1 !== media.externalLinks.length ? '0.5rem' : ' '
          }"
        >
          <a [href]="link.url" target="_blank">{{ link.site }}</a>
        </div>
      </ng-container>
    </div>
    <div class="media-container">
      <h4 class="first-label" *ngIf="relations.length">Relations</h4>
      <div class="relations">
        <div
          class="card"
          *ngFor="let edge of relations; let i = index"
          (mouseover)="toggleRelationsDetails(i)"
          (mouseout)="toggleRelationsDetails(i)"
        >
          <a class="cover" href="">
            <img [src]="edge.node.coverImage.medium" alt="" />
            <span class="relation-type">{{
              underscoretoTitleCase(edge.relationType)
            }}</span>
          </a>
          <div class="relation-description">
            <div class="upper">
              <span [ngStyle]="{ color: '#3db4f2' }">{{
                toTitleCase(edge.relationType)
              }}</span>
              <span>{{ edge.node.title.romaji }}</span>
            </div>
            <span
              >{{ underscoretoTitleCase(edge.node.format) }} ·
              {{ underscoretoTitleCase(edge.node.status) }}</span
            >
          </div>
        </div>
      </div>
      <h4 class="label">Characters</h4>
      <div class="characters">
        <ng-container
          *ngFor="let character of media.characters.edges; let i = index"
        >
          <div class="card" *ngIf="i < 6">
            <img
              [src]="character.node ? character.node.image.medium : noImage"
              alt=""
            />
            <div class="character-info">
              <div class="info left">
                <span>{{ character.node.name.full }}</span>
                <span>{{ toTitleCase(character.role) }}</span>
              </div>
              <div class="info right" *ngIf="character.actor">
                <span>{{ character.actor.name.full }}</span>
                <span>{{ toTitleCase(character.actor.language) }}</span>
              </div>
            </div>
            <img
              *ngIf="character.actor"
              [src]="character.actor.image.medium"
              alt=""
            />
          </div>
        </ng-container>
      </div>
      <h4 class="label">Staff</h4>
      <div class="characters">
        <ng-container
          *ngFor="let producer of media.producers.edges; let i = index"
        >
          <div class="card" *ngIf="i < 3 && producer.node.image.medium">
            <img [src]="producer.node.image.medium" alt="" />
            <div class="character-info">
              <div class="info staff-left">
                <span *ngIf="producer.node">{{ producer.node.name.full }}</span>
                <span *ngIf="producer && producer.role">{{
                  producer.role
                }}</span>
              </div>
            </div>
          </div>
        </ng-container>
      </div>
      <h4 class="label" *ngIf="media.streamingEpisodes.length">Watch</h4>
      <div class="watch">
        <ng-container
          class="card"
          *ngFor="let episode of media.streamingEpisodes; let i = index"
        >
          <div *ngIf="i < 4">
            <img [src]="episode.thumbnail" alt="" />
            <span>{{ episode.title }}</span>
          </div>
        </ng-container>
      </div>
      <h4 class="label" *ngIf="media.trailer">Trailer</h4>
      <iframe
        class="trailer"
        *ngIf="media.trailer"
        [src]="getTrailerSource(media.trailer)"
        width="560"
        height="315"
        frameborder="0"
        webkitallowfullscreen
        mozallowfullscreen
        allowfullscreen
      ></iframe>
    </div>
  </div>
</div>
<div class="spacer" [ngStyle]="{ padding: '1rem' }"></div>
